# ShopItemListener (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.listeners

## Class ShopItemListener

- java.lang.Object
- - de.epiceric.shopchest.listeners.ShopItemListener

All Implemented Interfaces:
  org.bukkit.event.Listener

    public class ShopItemListener
    extends Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor and Description
`ShopItemListener(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBlockGrow(org.bukkit.event.block.BlockGrowEvent e)`
`void` `onBlockPlace(org.bukkit.event.block.BlockPlaceEvent e)`
`void` `onBlockSpread(org.bukkit.event.block.BlockSpreadEvent e)`
`void` `onBucketEmpty(org.bukkit.event.player.PlayerBucketEmptyEvent e)`
`void` `onLiquidFlow(org.bukkit.event.block.BlockFromToEvent e)`
`void` `onMultiBlockPlace(org.bukkit.event.block.BlockMultiPlaceEvent e)`
`void` `onPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent e)`
`void` `onPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent e)`
`void` `onPlayerLeave(org.bukkit.event.player.PlayerQuitEvent e)`
`void` `onStructureGrow(org.bukkit.event.world.StructureGrowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopItemListener

    public ShopItemListener(ShopChest plugin)

### Method Detail

#### onPlayerLeave

    public void onPlayerLeave(org.bukkit.event.player.PlayerQuitEvent e)

#### onBlockPlace

    public void onBlockPlace(org.bukkit.event.block.BlockPlaceEvent e)

#### onMultiBlockPlace

    public void onMultiBlockPlace(org.bukkit.event.block.BlockMultiPlaceEvent e)

#### onPistonExtend

    public void onPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent e)

#### onPistonRetract

    public void onPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent e)

#### onLiquidFlow

    public void onLiquidFlow(org.bukkit.event.block.BlockFromToEvent e)

#### onBucketEmpty

    public void onBucketEmpty(org.bukkit.event.player.PlayerBucketEmptyEvent e)

#### onStructureGrow

    public void onStructureGrow(org.bukkit.event.world.StructureGrowEvent e)

#### onBlockGrow

    public void onBlockGrow(org.bukkit.event.block.BlockGrowEvent e)

#### onBlockSpread

    public void onBlockSpread(org.bukkit.event.block.BlockSpreadEvent e)